All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.util.olap
Class HttpOLAPActionUtil

    com.sas.actionprovider.util.olap.HttpOLAPActionUtil

All Implemented Interfaces:
  ActionStatusKeysInterface, OLAPTableViewAreaInterface, DynamicValueKeys, OLAPDynamicValueKeys

    public class HttpOLAPActionUtil

Field Summary

Fields inherited from interface com.sas.actionprovider.support.olaptableview.OLAPTableViewAreaInterface
`COLUMN_HEADER_AREA, COLUMN_TITLE_AREA, DATA_CELL_AREA, ROW_HEADER_AREA, ROW_TITLE_AREA, TITLE_AREA`

Fields inherited from interface com.sas.actionprovider.util.olap.OLAPDynamicValueKeys
`AVAILABLE_DATA_ITEMS, AVAILABLE_DATA_ITEMS_SAME_DIMENSION, AXIS, AXIS_INDEX, AXIS_LABEL, CELL_ORDINAL, CLASS_PARAMETER, COLUMN_AXIS, COLUMN_INDEX, COLUMN_TUPLES, DATA_ITEM, DATA_ITEM_LABEL, DATA_VALUE, DIRECTION, DRILL_UP_LEVEL, IS_MEASURE, LEVEL_LABEL, MODE, MOVE_AXIS, MOVE_LABEL, NBSP, NEW_MODE, ROW_AXIS, ROW_INDEX, ROW_TUPLES, SHOW_DETAIL_DATA_ACTION, SHOW_DETAIL_DATA_VIEWER, SHOW_DETAIL_MODE, TABLE, TUPLE_ELEMENT, TUPLE_ELEMENT_INDEX, TUPLE_ELEMENTS, TUPLE_INDEX, TUPLE_LABEL, UNIQUE_LEVEL_NAME`

Fields inherited from interface com.sas.actionprovider.util.DynamicValueKeys
`AREA_VALUE, AREA_VALUE_ATTRKEY, MODEL, VIEWER, VIEWER_COMPONENT`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`HttpOLAPActionUtil()`

Method Summary
`java.lang.String` | `getDrillDownDisabledImageKey(ActionSupportFilter filter)`
`java.lang.String` | `getDrillDownImageKey(ActionSupportFilter filter)`
`java.lang.String` | `getDrillDownMemberText(ActionSupportFilter filter)`
`java.lang.String` | `getDrillDownRolloverImageKey(ActionSupportFilter filter)`
`java.lang.String` | `getExpandDisabledImageKey(ActionSupportFilter filter)`
`java.lang.String` | `getExpandImageKey(ActionSupportFilter filter)`
`java.lang.String` | `getExpandMemberText(ActionSupportFilter filter)`
`java.lang.String` | `getExpandRolloverImageKey(ActionSupportFilter filter)`
`java.util.Map` | `getNewStyleMap(java.lang.String areaType, java.lang.Class strategyClass)`
`java.lang.String` | `getStringColumnIndex(ActionSupportFilter filter)`
`java.lang.String` | `getStringRowIndex(ActionSupportFilter filter)`
`java.util.Map` | `getTotalsStyleMap(ActionSupportFilter filter)`
`void` | `initializeMoveMeasureLabelAction(BaseAction action, java.lang.String areaType, java.util.Locale locale)`
`protected int` | `isExpandPresent(java.util.List steps, java.lang.String elementName)`
`protected boolean` | `isPreSummarizedTotal(TupleElementInterface tupleElement)`
`static int` | `validateDataCellArea(ActionSupportFilter filter)` Validates if the current area, as specified via various attributes on the filter, matches any of the DataCellArea objects on the filter's validAreaValues list.
`static int` | `validateHeaderArea(ActionSupportFilter filter)` Validates if the current area, as specified via various attributes on the filter, matches any of the HeaderArea objects on the filter's validAreaValues list.
`static int` | `validateTitleArea(ActionSupportFilter filter)` Validates if the current area, as specified via various attributes on the filter, matches any of the DataCellArea objects on the filter's validAreaValues list.

Methods inherited from class com.sas.actionprovider.util.olap.OLAPActionUtil
`getAxisLabel, getAxisMoveLabel, getDisabledIfEmptyElementLabel, getDisabledIfLastElement, getDisabledIfMeasure, getDisabledIfNoCellOrdinal, getDisabledIfNotEmptyElementLabel, getDisabledIfNotLastElement, getDisabledIfNotMeasure, getDisabledIfNotMeasureAndNotLastElement, getDisabledIfOneAxisHeader, getDrillUpLevelLabel, getHeaderAreaValue, getMeasureMoveInDirection, getMeasureMoveOutDirection, getMoveInDirection, getMoveOutDirection, getOtherAxisLabel, getStringAxisIndexFromAxis, getStringAxisIndexFromTupleElement, getStringTupleElementIndex, getStringTupleIndex, getTitleAreaValue, getTupleElementLabel, getViewerDisabledIfNotLastElement, getViewerDisabledIfNotMeasure`

Constructor Detail

### HttpOLAPActionUtil

    public HttpOLAPActionUtil()

Method Detail

### getNewStyleMap

    public java.util.Map getNewStyleMap(java.lang.String areaType,
                                        java.lang.Class strategyClass)

  Overrides:
    `getNewStyleMap` in class `OLAPActionUtil`

### getStringRowIndex

    public java.lang.String getStringRowIndex(ActionSupportFilter filter)

### getStringColumnIndex

    public java.lang.String getStringColumnIndex(ActionSupportFilter filter)

### initializeMoveMeasureLabelAction

    public void initializeMoveMeasureLabelAction(BaseAction action,
                                                 java.lang.String areaType,
                                                 java.util.Locale locale)

  Overrides:
    `initializeMoveMeasureLabelAction` in class `OLAPActionUtil`

### validateDataCellArea

    public static int validateDataCellArea(ActionSupportFilter filter)

  Validates if the current area, as specified via various attributes on the filter, matches any of the DataCellArea objects on the filter's validAreaValues list. The validAreaValues list comes from the Area object used when registering an Action via the ActionProvider's setAction() method.

  Parameters:
    `filter` - The object that holds the current area specification as well as the list of valid DataCellArea objects for which an Action is registered.
  Returns:
    int Value is ENABLED if there is a match. AREA_DISABLED otherwise.

### validateTitleArea

    public static int validateTitleArea(ActionSupportFilter filter)

  Validates if the current area, as specified via various attributes on the filter, matches any of the DataCellArea objects on the filter's validAreaValues list. The validAreaValues list comes from the Area object used when registering an Action via the ActionProvider's setAction() method.

  Parameters:
    `filter` - The object that holds the current area specification as well as the list of valid TitleArea objects for which an Action is registered.
  Returns:
    int Value is ENABLED if there is a match. AREA_DISABLED otherwise.

### validateHeaderArea

    public static int validateHeaderArea(ActionSupportFilter filter)

  Validates if the current area, as specified via various attributes on the filter, matches any of the HeaderArea objects on the filter's validAreaValues list. The validAreaValues list comes from the Area object used when registering an Action via the ActionProvider's setAction() method.

  Parameters:
    `filter` - The object that holds the current area specification as well as the list of valid HeaderArea objects for which an Action is registered.
  Returns:
    int Value is ENABLED if there is a match. AREA_DISABLED otherwise.

### getTotalsStyleMap

    public java.util.Map getTotalsStyleMap(ActionSupportFilter filter)

### getExpandMemberText

    public java.lang.String getExpandMemberText(ActionSupportFilter filter)
                                         throws OLAPException

  Throws:
    `OLAPException`

### getExpandImageKey

    public java.lang.String getExpandImageKey(ActionSupportFilter filter)

### getExpandRolloverImageKey

    public java.lang.String getExpandRolloverImageKey(ActionSupportFilter filter)

### getExpandDisabledImageKey

    public java.lang.String getExpandDisabledImageKey(ActionSupportFilter filter)

### getDrillDownMemberText

    public java.lang.String getDrillDownMemberText(ActionSupportFilter filter)
                                            throws OLAPException

  Throws:
    `OLAPException`

### getDrillDownImageKey

    public java.lang.String getDrillDownImageKey(ActionSupportFilter filter)

### getDrillDownRolloverImageKey

    public java.lang.String getDrillDownRolloverImageKey(ActionSupportFilter filter)

### getDrillDownDisabledImageKey

    public java.lang.String getDrillDownDisabledImageKey(ActionSupportFilter filter)

### isPreSummarizedTotal

    protected boolean isPreSummarizedTotal(TupleElementInterface tupleElement)
                                    throws OLAPException

  Throws:
    `OLAPException`

### isExpandPresent

    protected int isExpandPresent(java.util.List steps,
                                  java.lang.String elementName)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.